# Key

Key used for partitioning messages.

This parameter applies to omkafka: write to Apache Kafka.

Name:

  Key

Scope:

  action

Type:

  word

Default:

  action=none

Required?:

  no

Introduced:

  at least 8.x, possibly earlier

## Description

Kafka key to be used for all messages. If a key is provided and `partitions.auto="on"` is set, then all messages will be assigned to a partition based on the key.

## Action usage

    action(type="omkafka" Key="mykey")

## See also

See also omkafka: write to Apache Kafka.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.